
Ruby - Bug #16516

[BACKPORT] AST locations with numbered parameter

01/17/2020 12:34 PM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: DONTNEED, 2.6: DONTNEED, 2.7:

DONE

Description

The locations in args node for numbered parameters are left the default values, and test_ranges and test_not_cared fail once

numbered parameters are used in test scripts.

https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/f38b3e8c707ebdcad05aa9485cf1760640b74fbb

https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/c98c492578d898dc07a04b8240d8d5b1508ffafa

Associated revisions

Revision 5bdbee96e479f714c7f9b6b98f012268cbd9051b - 03/13/2020 12:51 PM - naruse (Yui NARUSE)

Squashed commit of the following: [Backport #16516]

commit c98c492578d898dc07a04b8240d8d5b1508ffafa

Author: Nobuyoshi Nakada nobu@ruby-lang.org

Date:   Fri Jan 17 16:56:53 2020 +0900

Added test for f38b3e8c707ebdcad05aa9485cf1760640b74fbb

 commit f38b3e8c707ebdcad05aa9485cf1760640b74fbb

Author: Nobuyoshi Nakada nobu@ruby-lang.org

Date:   Thu Jan 16 18:34:31 2020 +0900

Fixed the location of args node with numbered parameter
History

#1 - 03/13/2020 12:48 PM - naruse (Yui NARUSE)

- Backport changed from 2.5: DONTNEED, 2.6: DONTNEED, 2.7: REQUIRED to 2.5: DONTNEED, 2.6: DONTNEED, 2.7: DONE

ruby_2_7 d5c84cf9769101eb14e379330e5b211a568bf020.
